Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1494173 - Some text not rendered on Skylake CPUs
Summary: Some text not rendered on Skylake CPUs
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-21 15:06 UTC by Jason Tibbitts
Modified: 2018-05-29 12:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:05:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Jason Tibbitts 2017-09-21 15:06:27 UTC
I have had to disable glamor on my machines due to a separate issue involving display corruption with Matlab.  But unfortunately, when I do this I find that on Skylake machines there are occasional instances where text simply isn't rendered.  This shows up most commonly, of course, in Matlab, but will occasionally show up in other places such as Dolphin (the KDE File manager).  Sadly I can only reliably repeat it in Matlab, where it is immediately obvious as the right-click menu and command window will be missing most of their contents.

I'm disabling glamor using the following in /etc/X11/xorg.conf.d/20-intel-no-glamor.conf:

Section "Device"
        Identifier "Intel Graphics"
        Driver     "intel"
        Option     "AccelMethod" "sna"
EndSection

I chatted a bit in #intel-gfx and it was suggested that I try "blt".  Interestingly, that also shows the problem.  But if I use "uxa" (which I know is suboptimal on Skylake) the problem goes away.

So some bit of code which is used by both "sna" and "blt" but not by "uxa" is involved here.

Since I can only reliably reproduce this using Matlab, I am willing to obtain a Matlab license for a driver developer.

Comment 1 Jason Tibbitts 2017-09-21 15:16:10 UTC
I should also add that this happens with the stock F26 Intel driver: xorg-x11-drv-intel-2.99.917-28.20160929.fc26 and with the current rawhide version (xorg-x11-drv-intel-2.99.917-30.20160929.fc26).

In #intel-gfx I was pointed at a one-liner patch to sna/kgem.h which I am also running, but it doesn't seem to make much difference:

From 36efca112587e34d06a6ca11aabbebee5c9efaac Mon Sep 17 00:00:00 2001
From: Lyude Paul <thatslyude@gmail.com>
Date: Tue, 22 Aug 2017 12:38:11 -0400
Subject: [PATCH xf86-video-intel] Test fix for bz141238

Signed-off-by: Lyude Paul <thatslyude@gmail.com>
---
 src/sna/kgem.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/sna/kgem.h b/src/sna/kgem.h
index ded8f78f..ef535faa 100644
--- a/src/sna/kgem.h
+++ b/src/sna/kgem.h
@@ -587,7 +587,7 @@ static inline bool kgem_bo_can_blt(struct kgem *kgem,
                return false;
        }

-       if (kgem->gen >= 0100 && bo->proxy && bo->delta & (1 << 4)) {
+       if (kgem->gen >= 0100 && bo->proxy && bo->delta & 63) {
                DBG(("%s: can not blt to handle=%d, delta=%d\n",
                     __FUNCTION__, bo->handle, bo->delta));
                return false;
--
2.13.5

Comment 2 Fedora End Of Life 2018-05-03 08:44:04 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 12:05:52 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.